class_name Mech
extends Node3D

signal stomp

@onready var animation_tree: AnimationTree = $AnimationTree


func _stomp() -> void:
	@warning_ignore("unsafe_cast")
	if (animation_tree["parameters/walk_space/blend_position"] as Vector2).length() > 0.1:
		stomp.emit()
